Skip to content
Start here

Stop livestreaming a meeting

client.RealtimeKit.Livestreams.StopLivestreamingAMeeting(ctx, appID, meetingID, body) (*LivestreamStopLivestreamingAMeetingResponse, error)
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/active-livestream/stop

Stops the active livestream of a meeting associated with the given meeting ID. Retreive the meeting ID using the Create a meeting API.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appID string

The app identifier tag.

maxLength32
meetingID string
formatuuid
body LivestreamStopLivestreamingAMeetingParams
AccountID param.Field[string]Optional

The account identifier tag.

maxLength32
ReturnsExpand Collapse
type LivestreamStopLivestreamingAMeetingResponse struct{…}
Data LivestreamStopLivestreamingAMeetingResponseDataOptional
Message stringOptional
Success boolOptional

Stop livestreaming a meeting

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Livestreams.StopLivestreamingAMeeting(
    context.TODO(),
    "app_id",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.LivestreamStopLivestreamingAMeetingParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Data)
}
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "message": "Stopped live stream successfully"
  },
  "success": true
}